> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inbound Ongoing Calls

> Returns the number of active calls currently in progress and in queue for the specified inbound ID.



## OpenAPI

````yaml get /v1/Inbound/{inboundId}/OngoingCalls
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Inbound/{inboundId}/OngoingCalls:
    get:
      tags:
        - Inbound
      summary: Get Inbound Ongoing Calls
      description: >-
        Returns the number of active calls currently in progress and in queue
        for the specified inbound ID.
      parameters:
        - name: inboundId
          in: path
          description: The unique identifier of the inbound.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Details of the specific inbound.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OngoingCallsApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/OngoingCallsApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/OngoingCallsApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    OngoingCallsApiView:
      type: object
      properties:
        totalOngoingCalls:
          type: integer
          description: The total number of ongoing calls.
          format: int32
        totalOnQueue:
          type: integer
          description: The total number of calls currently in the queue.
          format: int32
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````